jQuery(document).ready(function($){
	/* BIG BUTTON ANIMATION */
	$('a.bigbutton').mouseenter(function(){
		$(this).stop(true, false).animate({ backgroundColor: "#98b73c", marginLeft: "7px", marginRight: "0px" }, 200)
	})
	$('a.bigbutton').mouseleave(function(){
			$(this).stop(true, true).animate({ backgroundColor: "#8aa43c", marginLeft: "0px", marginRight: "7px" }, 100, fix);
			function fix() {
				if ($('a.bigbutton').mouseleave) {
					$(this).animate({ backgroundColor: "#8aa43c" }, "fast")
				}
			}
	})
});

/* 
 * jquery.suckerfish.js
 * Description: So that the rollover menus work in IE
 * Note: be sure #mainnav is on the UL
 */

sfHover = function() {
	var sfEls = document.getElementById("mainnav").getElementsByTagName("LI");
	for (var i=0; i<sfEls.length; i++) {
		sfEls[i].onmouseover=function() {
			this.className+=" sfhover";
		}
		sfEls[i].onmouseout=function() {
			this.className=this.className.replace(new RegExp(" sfhover\\b"), "");
		}
	}
}
if (window.attachEvent) window.attachEvent("onload", sfHover);


/* 
 * jquery.cform.js
 * Author: April Hodge Silver
 * Author URI: http://springthistle.com
 * Description: Used for the cforms contact form to 'pre-choose' the recipient from the dropdown
 * Notes: recipient field *must* be the *first field* in the form
 */

function gup( name ) {
  name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
  var regexS = "[\\?&]"+name+"=([^&#]*)";
  var regex = new RegExp( regexS );
  var results = regex.exec( window.location.href );
  if( results == null )
    return "";
  else
    return results[1];
}

function isNumeric(input) {
	return !isNaN(parseFloat(input)) && isFinite(input);
}

function pre_choose_recipient() {
	var person = gup('person'); 
	person = person.replace(/%20/g,' ');
	person = person.replace('_',' ');

	if (!isNumeric(person))
		num = jQuery("#cf_field_1 option:contains('"+person+"')").val();
	else
		num = person;

	//$("#cf"+formid+"_field_1").val(num);
	jQuery("#cf_field_1").val(num);
}