<style>
.item {
	border-top: 3px solid #ccc;
	padding: 20px 0;
}
.example {
	font-family: Courier;
	color: #000;
	font-size: 12px;
	line-height: 14px;
	margin: 10px 0 10px 25px;
}
.alt {

}
pre {
	width: 600px;
}
#typenav {
	margin-bottom: -3px; 
	margin-top: 20px;
}
#typenav li {
	display: inline;
}
#typenav li a {
	-moz-border-radius-topleft:10px;
	-webkit-border-top-left-radius:10px;
	border-top-left-radius:10px;
	-moz-border-radius-topright:10px;
	-webkit-border-top-right-radius:10px;
	border-top-right-radius:10px;
	padding: 10px;
	background-color: #eaeaea;
	margin: 0 25px 0 0;
	color: #666;
	font-weight: bold;
	text-decoration: none;
}
#typenav li a.current {
	background-color: #ccc;
	color: #000;
}
ul.foo {
	margin-left: 20px;
	text-indent: -20px;
	width: 700px;
}
ul.foo li {
	line-height: 21px;
}

</style>
<?php
	$type = $_GET['type']; if (empty($type)) $type='messages';
	$types = array('columns','messages','dynamic elements','buttons and icons','misc','settings');
?>
<div class="wrap">

    <div class="icon32" id="icon-options-general"><br/></div><h2>April's Super Function Pack</h2>

<p style="width: 680px">The following shortcodes are included in the Super Functions Pack. To try one out, simply copy and paste the example into a page on your site. To create one page with all examples on one tab of this page, copy and paste the contents of the text box at the bottom of this page.</p>

<p>
	<ul id="typenav">
		<?php foreach ($types as $t) {
			echo '<li><a href="'.$PHP_SELF.'?page='.$_GET['page'].'&type='.$t.'"';
			if ($t==$type) echo ' class="current"';
			echo '>'.ucwords($t).'</a></li>'; 
		} ?>
	</ul>
</p>

<?php 
	$scodes['misc'] = array(
		array(
			'name'=>'basic_list',
			'example'=>'[basic_list]
	<ul>
		<li>The is the first item</li>
		<li>This is the second</li>
		<li>This is the third and last item</li>
	</ul>
[/basic_list]',
			'alt'=>array('check_list'),
		),
		array(
			'name'=>'quote',
			'example'=>'[quote author="Dolor Sedamet"]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/quote]',
			'alt'=>array('quote_left','quote_right'),
		),
		array(
			'name'=>'dropcap',
			'example'=>'[dropcap]L[/dropcap]orem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.',
			'alt'=>array('dropcap2'),
		),
		array('name'=>'clear','example'=>'[clear]','notes'=>'This is useful if you need to break up left or right aligned items.'),
		array('name'=>'line','example'=>'[line]',),
		array('name'=>'blankline','example'=>'[blankline]','notes'=>'As if you added a blank, one-line paragraph.'),
	);
	$scodes['columns'] = array(
		array(
			'name'=>'one_half',
			'example'=>'[one_half]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/one_half]BR[one_half_last]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/one_half_last]',
			'notes'=>'You can do combinations for any of these columns so long as the numbers add up. For example, one_half one_fourth one_fourth_last, or even one_fourth one_half one_fourth_last, or also one_fourth one_fourth one_half_last',
		),
		array(
			'name'=>'one_third',
			'example'=>'[one_third]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/one_third]BR[one_third]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/one_third]BR[one_third_last]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/one_third_last]',
		),
		array(
			'name'=>'two_third',
			'example'=>'[two_third]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/two_third]BR[one_third_last]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/one_third_last]',
		),
		array(
			'name'=>'one_fourth',
			'example'=>'[one_fourth]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/one_fourth]BR[one_fourth]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/one_fourth]BR[one_fourth]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/one_fourth]BR[one_fourth_last]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/one_fourth_last]',
		),
		array(
			'name'=>'three_fourth',
			'example'=>'[three_fourth]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/three_fourth]BR[one_fourth_last]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/one_fourth_last]',
		),
	);
	$scodes['buttons and icons'] = array(
		array(
			'name'=>'button',
			'example'=>'[button url="http://google.com/"]Visit Google Now[/button]',
			'alt'=>array('button_blue','button_green','button_orange'),
		),
		array(
			'name'=>'big_button',
			'example'=>'[big_button url="http://google.com/"]Visit Google Now[/big_button]',
		),
		array(
			'name'=>'ico_mail',
			'example'=>'[ico_mail url="/contact/?person=George Smith/"]Email George Smith[/ico_mail]',
		),
		array(
			'name'=>'ico_home',
			'example'=>'[ico_home]Lorem ipsum dolor sed amet[/ico_home]',
			'alt'=>array('ico_phone','ico_male','ico_female'),
		),
		array(
			'name'=>'ico_star',
			'example'=>'[ico_star url="http://google.com/"]Lorem ipsum dolor sed amet[/ico_star]',
			'alt'=>array('ico_find','ico_key','ico_arrow','ico_new','ico_support','ico_excel','ico_download','ico_monitor','ico_dollar','ico_paintcan','ico_pie','ico_database','ico_basket'),
		),
	);
	$scodes['messages'] = array(
		array(
			'name'=>'feature_box',
			'example'=>'[feature_box title="Lorem ipsum dolor" title_color="fff" header_color="369"]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/feature_box]',
			'notes'=>'In addition to the title, title_color and header_color, you may specify a height. If you do not specify a height, then the box will automatically be the height needed by the text.',
		),
		array(
			'name'=>'blue_message',
			'example'=>'[blue_message]BRLorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.BR[/blue_message]',
			'alt'=>array('green_message','yellow_message'),
		),
	);
	$scodes['dynamic elements'] = array(
		array(
			'name'=>'tabs',
			'example'=>'[tabs
	tab1="Tab #1"
	tab2="Tab #2"
	tab3="Tab #3"
]
	[slide1]First slide content[/slide1]
	[slide2]Second slide content[/slide2]
	[slide3]Third slide content[/slide3]
[/tabs]',
		),
		array(
			'name'=>'toggle',
			'example'=>'[toggle title="Toggle Title #1"]
	Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.
[/toggle]
[toggle title="Toggle Title #2"]
	Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.
[/toggle]
[toggle title="Toggle Title #3"]
	Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer accumsan sagittis porta.BRMorbi dignissim leo sed metus dignissim convallis vel at libero. Aliquam vel rhoncus est.BRNunc volutpat lacinia sagittis. Proin et velit vitae lectus elementum lacinia. Proin nonBReros eget odio lobortis pulvinar vitae et ipsum.
[/toggle]',
		),
	);
	
	function cleanexample($txt,$erase_breaks=null) {
		if ($erase_breaks) $txt = str_ireplace('BR'," ",$txt);
		else $txt = str_ireplace('BR',"\n",$txt);
		return $txt;
	}
	
	$textarea = '';
	if ($type != 'settings') {
	foreach ($scodes[$type] as $info):
		$txt = cleanexample($info['example'],true);
		$textarea .= '<h3>'.ucwords(str_replace('_',' ',$info['name'])).'</h3>'."\n".$txt;
		$textarea .= "\n[clear]";
		$textarea .= "\n\n";
		if (isset($info['alt'])) {
			foreach ($info['alt'] as $i) {
				$textarea .= '<h3>'.ucwords(str_replace('_',' ',$i)).'</h3>'."\n";
				$textarea .= str_replace($info['name'],$i,$txt)."\n[clear]\n\n";
			}
		}
?>

<div class="item">
	<code>[<?php echo $info['name'] ?>]</code>
	<pre class="example"><?php echo str_ireplace('BR',"\n",str_ireplace('<',"&lt;",$info['example'])) ?></pre>
	<?php if (isset($info['alt'])): ?><p class="alt">Variations: <?php foreach ($info['alt'] as $i) echo '<code>['.$i.']</code> &nbsp; '; ?></p><?php endif;  ?>
	<?php if (isset($info['notes'])): ?><p class="alt"><b>Notes</b>: <?php echo $info['notes'] ?></p><?php endif;  ?>
</div>

<?php endforeach; ?>
<div class="item">
	<h3>Copy-and-Paste-able Examples</h3>
	<p style="width: 700px">Copy the text below. It contains an example of every shortcode on this page, above, including variations. Then paste it into a <a href="post-new.php?post_type=page">new page</a> or an <a href="edit.php?post_type=page">existing page</a> on your site.</p>
	<textarea style="width: 700px; height: 200px;"><?php echo $textarea ?></textarea>
</div>
<?php } else { ?>

	<div class="item"><h3>Settings</h3><p>If the width of your website "page" do not seem to match what the shortcode columns are outputting,<br />enter the maximum width of your page below and save.</p>

    <form method="post" action="options.php">
    <?php
        // New way of setting the fields, for WP 2.7 and newer
        if(function_exists('settings_fields')){
            settings_fields('asfp-options');
        } else {
            wp_nonce_field('update-options');
            ?>
            <input type="hidden" name="action" value="update" />
            <?php
        }
    ?>
		Page Width: <input type="text" value="<?php echo htmlspecialchars(get_option('asfp_pagewidth')); ?>" name="asfp_pagewidth" id="asfp_pagewidth" size="10" />

        <p class="submit">
            <input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" />
        </p>
    </form>
	</div>
	
	<div class="item">
	<h3>Template Functions</h3>
	
	<p>The following template functions are included for use in your theme files.</p>
	<ul class="foo">
		<li><code>asfp_get_image()</code><br />
			<b>Arguments:</b><br />
			<code>$post_id</code> - required. The ID of the post you'd like to grab an image for.
			<code>$size</code> - optiona. Default is <code>thumbnail</code><br />
			<code>$class</code> - optional. If you provide a class, it will be assigned to the image's image tag.<br />
			<b>Returns:</b><br />
			An HTML string containing an image tag.<br />
			<b>Notes:</b><br />
			The dimensions of the returned image are currently hard-coded to 70x70. This will be fixed in a future release.
		</li>

		<li><code>asfp_subpages_nav()</code><br />
			<b>Arguments:</b><br />
			<i>none</i><br />
			<b>Prints:</b><br />
			An HTML string containing a subnav list inside of a widget div. If the current page is a top-level item, the list will include its children and grandchildren. If the current page is not a top-level item, the list will include the current page's siblings and aunts and uncles and cousins, if applicable. Try it out to see the CSS classes used.
		</li>
	</ul>
	</div>
	
	<div class="item">
	<h3>Javascript</h3>
	<p><code>pre_choose_recipient()</code> - put this in script tags into a page if it includes a cform with the first field as "multiple recipients". Then, a person's name in the URL after ?person= will result in that person being pre-chosen.</p>
	
	<p>suckerfish - if the theme uses suckerfish menus, javacript for IE-compatibility is included. The menu must of a parent div with ID #mainnav.</p>
	
	<p>remove titles - javascript removes "title" tags from the wordpress-generated menus.</p>
	</div>

	  
<?php  } ?>

</div>